APIWebhooks
Register a webhook endpoint
Authorization
ApiKey AuthorizationBearer <token>
Paste your BlendFi API key. Sandbox keys start with sk_test_. The Bearer prefix is added automatically.
In: header
Header Parameters
idempotency-key*string
Client-generated unique key to make the mutation safe to retry.
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.sandbox.blendfi.com.br/v1/webhook_endpoints" \ -H "idempotency-key: 0196c5d9-2e34-7c24-a47e-a0e1f89bb8a9" \ -H "Content-Type: application/json" \ -d '{ "url": "https://partner.example.com/webhooks/blendfi", "event_types": [ "transaction.pending_payment" ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"url": "http://example.com",
"status": "active",
"event_types": [
"transaction.pending_payment"
],
"description": "string",
"secret_prefix": "string",
"secret_last_four": "string",
"created_at": "string",
"updated_at": "string",
"secret": "whsec_test_abcdef1234567890"
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}{
"code": "string",
"message": "string",
"request_id": "string",
"details": {
"property1": null,
"property2": null
}
}